package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AreaFireTendency;
import com.lightinit.hsdatashow.entity.AreaFireTendencyExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface AreaFireTendencyMapper {
    long countByExample(AreaFireTendencyExample example);

    int deleteByExample(AreaFireTendencyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AreaFireTendency record);

    int insertSelective(AreaFireTendency record);

    List<AreaFireTendency> selectByExample(AreaFireTendencyExample example);

    AreaFireTendency selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AreaFireTendency record, @Param("example") AreaFireTendencyExample example);

    int updateByExample(@Param("record") AreaFireTendency record, @Param("example") AreaFireTendencyExample example);

    int updateByPrimaryKeySelective(AreaFireTendency record);

    int updateByPrimaryKey(AreaFireTendency record);

    List<ChartModel> getAreFireTendency();
}